Subject: bug#28840: openrct2 cannot find data-path

From: Rutger Helling <[email-masked]>
Date: Sat, 21 Oct 2017 10:44:33 +0200

Hi Ludo and Jelle, 

I've attached a patch that fixed the issue for me by changing some
references from /usr/share to /gnu/store/<hash>-openrct2-0.1.1/share.
I can now run openrct2 without the additional parameter. 

On 2017-10-20 22:21, [email-masked] wrote:

> Hello,
> 
> Jelle Licht <[email-masked]> skribis:
> 
>> No, I am talking about resources such as shaders and
>> language packs, which seem to be included in openrct2 itself.
>> IOW, even *with* the data files from the proprietary rct2, our current
>> openrct2
>> does not run without the command line flags I added to my first posting :-).
> 
> Oh, I see.  Rutger, does that ring a bell?
> 
> https://bugs.gnu.org/28840
> 
> Thanks,
> Ludo'.

From 4c2af88af74f3efe319f23e9716f9ca41f70e618 Mon Sep 17 00:00:00 2001
From: Rutger Helling <[email-masked]>
Date: Sat, 21 Oct 2017 10:33:30 +0200
Subject: [PATCH] gnu: openrct2: Fix a few paths.

* gnu/packages/games.scm (openrct2): Fix a few paths.
---
 gnu/packages/games.scm | 6 ++++++
 1 file changed, 6 insertions(+)

diff --git a/gnu/packages/games.scm b/gnu/packages/games.scm
index 6709f0292..657c23c4e 100644
--- a/gnu/packages/games.scm
+++ b/gnu/packages/games.scm
@@ -2647,6 +2647,12 @@ Transport Tycoon Deluxe.")
      `(#:tests? #f ;; no tests available
        #:phases
         (modify-phases %standard-phases
+          (add-after 'unpack 'fix-usr-share-paths
+            (lambda* (#:key make-flags outputs #:allow-other-keys)
+              ;; Fix some references to /usr/share.
+              (substitute* "src/openrct2/platform/linux.c"
+                (("/usr/share")
+                (string-append (assoc-ref %outputs "out") "/share")))))
           (add-after 'build 'fix-cmake-install-file
             (lambda _
               ;; The build system tries to download a file and compare hashes.
-- 
2.14.2